// Copyright (c) 2018, Jimmy Forrester-Fellowes. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

import 'package:angular/angular.dart';
import 'package:angular_components/angular_components.dart';

import 'package:cultivate_mars_web/src/grid_cell_directive.dart';

// AngularDart info: https://webdev.dartlang.org/angular
// Components info: https://webdev.dartlang.org/components

@Component(
  selector: 'my-app',
  styleUrls: const ['app_component.css'],
  templateUrl: 'app_component.html',
  directives: const [materialDirectives, CORE_DIRECTIVES, GridCellDirective],
  providers: const [materialProviders],
)
class AppComponent {

  List getRows() => new List(5);
  List getCols(int v) => new List(5);  
}
